/**Begin D:\PDM_UPGRADE\PDM1\HOM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HOM_PERONBRDINFOCONF') 
 CREATE TABLE T_HOM_PERONBRDINFOCONF (
FID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOBJLD VARCHAR(36) DEFAULT ' ' NOT NULL,
FVIEWINFO VARCHAR(50) DEFAULT ' ' NOT NULL,
FEDITINFO VARCHAR(50) DEFAULT ' ' NOT NULL,
FSHOWINFO VARCHAR(50) DEFAULT ' ' NOT NULL,
FSHOWFLEX VARCHAR(50) DEFAULT ' ' NOT NULL,
FISMUL CHAR(1) DEFAULT '0' NOT NULL,
FSHOWTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
FSHOWCOLS VARCHAR(2000) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HOM_PERONBRDINFOCONF_L') 
 CREATE TABLE T_HOM_PERONBRDINFOCONF_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\HOM_table.sql **/


/**Begin D:\PDM_UPGRADE\PDM1\HOM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HOM_PERONBRDINFOCONF' AND KSQL_COL_NAME ='FDISABLERID') 
 ALTER TABLE T_HOM_PERONBRDINFOCONF ADD (FDISABLERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HOM_PERONBRDINFOCONF' AND KSQL_COL_NAME ='FDISABLEDATE') 
 ALTER TABLE T_HOM_PERONBRDINFOCONF ADD (FDISABLEDATE DATETIME );

/**End D:\PDM_UPGRADE\PDM1\HOM_table.sql **/
